org.apache.tinkerpop.gremlin.util.iterator

## Class MultiIterator<T>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.util.iterator.MultiIterator<T>

- All Implemented Interfaces:
    Serializable, AutoCloseable, Iterator<T>

      public final class MultiIterator<T>
      extends Object
      implements Iterator<T>, Serializable, AutoCloseable

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiIterator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIterator(Iterator<T> iterator)`
    `void` | `clear()`
    `void` | `close()` Close the underlying iterators if auto-closeable.
    `boolean` | `hasNext()`
    `T` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### MultiIterator

          public MultiIterator()

  - ### Method Detail

    - #### addIterator

          public void addIterator(Iterator<T> iterator)

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<T>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<T>`

    - #### next

          public T next()

      Specified by:
        `next` in interface `Iterator<T>`

    - #### clear

          public void clear()

    - #### close

          public void close()

      Close the underlying iterators if auto-closeable. Note that when Exception is thrown from any iterator in the for loop on closing, remaining iterators possibly left unclosed.
      Specified by:
        `close` in interface `AutoCloseable`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.